Loading...
Searching...
No Matches
svn_commit_info_t Struct Reference

All information about a commit. More...

`#include <svn_types.h>`

## Data Fields

svn_revnum_t | revision
| just-committed revision.
const char * | date
| server-side date of the commit.
const char * | author
| author of the commit.
const char * | post_commit_err
| error message from post-commit hook, or NULL.
const char * | repos_root
| repository root, may be `NULL` if unknown.

## Detailed Description

All information about a commit.

Note
  Objects of this type should always be created using the svn_create_commit_info() function.

Since
  New in 1.3.

Definition at line 689 of file svn_types.h.

## Field Documentation

## author

const char* svn_commit_info_t::author

author of the commit.

Definition at line 698 of file svn_types.h.

## date

const char* svn_commit_info_t::date

server-side date of the commit.

Definition at line 695 of file svn_types.h.

## post_commit_err

const char* svn_commit_info_t::post_commit_err

error message from post-commit hook, or NULL.

Definition at line 701 of file svn_types.h.

## repos_root

const char* svn_commit_info_t::repos_root

repository root, may be `NULL` if unknown.

Since
  New in 1.7.

Definition at line 705 of file svn_types.h.

## revision

svn_revnum_t svn_commit_info_t::revision

just-committed revision.

Definition at line 692 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h